Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.plan
Class PlanUtil.RequiredColumnVisitor

    java.lang.Object
      org.modeshape.graph.query.model.Visitors.AbstractVisitor
          org.modeshape.graph.query.plan.PlanUtil.RequiredColumnVisitor

All Implemented Interfaces:
  Visitor

Enclosing class:
  PlanUtil

    protected static class PlanUtil.RequiredColumnVisitor

extends Visitors.AbstractVisitor

Constructor Summary
`protected` | `PlanUtil.RequiredColumnVisitor(Set<SelectorName> names)`

Method Summary
`List<Column>` | `getRequiredColumns()` Get the columns that are required.
`protected void` | `requireColumn(SelectorName selector, String propertyName)`
`protected void` | `requireColumn(SelectorName selector, String propertyName, String alias)`
`void` | `visit(Column column)`
`void` | `visit(EquiJoinCondition condition)`
`void` | `visit(PropertyExistence existence)`
`void` | `visit(PropertyValue value)`
`void` | `visit(ReferenceValue value)`

Methods inherited from class org.modeshape.graph.query.model.Visitors.AbstractVisitor
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanUtil.RequiredColumnVisitor

    protected PlanUtil.RequiredColumnVisitor(Set<SelectorName> names)

Method Detail

### visit

    public void visit(PropertyExistence existence)

  Specified by:
    `visit` in interface `Visitor`
  Overrides:
    `visit` in class `Visitors.AbstractVisitor`
  See Also:
    `Visitors.AbstractVisitor.visit(org.modeshape.graph.query.model.PropertyExistence)`

### visit

    public void visit(PropertyValue value)

  Specified by:
    `visit` in interface `Visitor`
  Overrides:
    `visit` in class `Visitors.AbstractVisitor`
  See Also:
    `Visitors.AbstractVisitor.visit(org.modeshape.graph.query.model.PropertyValue)`

### visit

    public void visit(ReferenceValue value)

  Specified by:
    `visit` in interface `Visitor`
  Overrides:
    `visit` in class `Visitors.AbstractVisitor`
  See Also:
    `Visitors.AbstractVisitor.visit(org.modeshape.graph.query.model.ReferenceValue)`

### visit

    public void visit(EquiJoinCondition condition)

  Specified by:
    `visit` in interface `Visitor`
  Overrides:
    `visit` in class `Visitors.AbstractVisitor`
  See Also:
    `Visitors.AbstractVisitor.visit(org.modeshape.graph.query.model.EquiJoinCondition)`

### visit

    public void visit(Column column)

  Specified by:
    `visit` in interface `Visitor`
  Overrides:
    `visit` in class `Visitors.AbstractVisitor`
  See Also:
    `Visitors.AbstractVisitor.visit(org.modeshape.graph.query.model.Column)`

### requireColumn

    protected void requireColumn(SelectorName selector,
                                 String propertyName)

### requireColumn

    protected void requireColumn(SelectorName selector,
                                 String propertyName,
                                 String alias)

### getRequiredColumns

    public List<Column> getRequiredColumns()

  Get the columns that are required.

  Returns:
    the columns; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.